CANVAS_TRACK_COMPUTE(3)

EXPERIMENTAL_FUNC
canvas_track_compute - Compute track strings.

SYNOPSIS
#include <karma_canvas.h>

void canvas_track_compute

(KWorldCanvas canvas, double x, double y, double x_lin, double y_lin, char world_string[STRING_LENGTH], char extra_string[STRING_LENGTH])

DESCRIPTION
Compute track strings.

canvas
    The world canvas.

x   The horizontal world co-ordinate of the event.

y   The vertical world co-ordinate of the event.

x_lin
    The horizontal linear co-ordinate.

y_lin
    The vertical linear co-ordinate.

world_string
    The world co-ordinates and restriction information will be written here.

extra_string
    Extra information is written here. This may be NULL if <<world_string>> is also NULL.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/